[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# inotify_rm_watch

Remove watch from Inotify file descriptor.

## Declaration

Source position: linux.pp line 426

`function inotify_rm_watch(`
`fd: cint;`
`wd: cint`
`):cint;`

## Description

inotify_rm_watch removes watch descriptor wd from inotify descriptor fd. On success, 0 is returned.

## Errors

On Error, -1 is returned. fpgeterrno can be used to get more detailed error information.

## See also

inotify_init |  | Initialize a new inotify file descriptor
inotify_init1 |  | Initialize a new inotify file descriptor with extra options.
inotify_add_watch |  | Add a watch to a notify file descriptor
inotify_event |  | INotify event structure

Documentation generated on: Feb 26 2014